# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class SpreadsheetEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<SpreadsheetEntry>
                  com.google.gdata.data.spreadsheet.SpreadsheetEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class SpreadsheetEntry

extends BaseEntry<SpreadsheetEntry>

One spreadsheet, when listing all spreadsheets you have access to.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label entries that contain spreadsheet data.
`static java.lang.String` `KIND` Kind category term used to label the entries that contains spreadsheet data.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SpreadsheetEntry()` Constructs a new uninitialized entry, to be populated by the GData parsers.
`SpreadsheetEntry(BaseEntry sourceEntry)` Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares extensions (although Spreadsheet Kind currently has none).
`WorksheetEntry` `getDefaultWorksheet()` Gets the first worksheet in the spreadsheet.
`java.lang.String` `getKey()` Gets the non-user-friendly key that is used to access the spreadsheet.
`Link` `getSpreadsheetLink()` Gets the link with which you can open up the spreadsheet in a Web browser, the full Google Spreadsheets user interface.
`java.net.URL` `getWorksheetFeedUrl()` Gets the URL for this spreadsheet's worksheets feed.
`java.util.List<WorksheetEntry>` `getWorksheets()` Gets all worksheet entries that are part of this spreadsheet.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the entries that contains spreadsheet data.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label entries that contain spreadsheet data.

Constructor Detail

### SpreadsheetEntry

    public SpreadsheetEntry()

  Constructs a new uninitialized entry, to be populated by the GData parsers.

### SpreadsheetEntry

    public SpreadsheetEntry(BaseEntry sourceEntry)

  Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Detail

### getSpreadsheetLink

    public Link getSpreadsheetLink()

  Gets the link with which you can open up the spreadsheet in a Web browser, the full Google Spreadsheets user interface.

  Returns:
    a link to open up the web browser with

### getWorksheetFeedUrl

    public java.net.URL getWorksheetFeedUrl()

  Gets the URL for this spreadsheet's worksheets feed. You can then create a query using this URL to query this worksheet's sheets.

  Returns:
    a URL to get a feed of worksheets

### getWorksheets

    public java.util.List<WorksheetEntry> getWorksheets()
                                                 throws java.io.IOException,
                                                        ServiceException

  Gets all worksheet entries that are part of this spreadsheet. You must be online for this to work.

  Returns:
    the list of worksheet entries
  Throws:
    `java.io.IOException`
    `ServiceException`

### getDefaultWorksheet

    public WorksheetEntry getDefaultWorksheet()
                                       throws java.io.IOException,
                                              ServiceException

  Gets the first worksheet in the spreadsheet. This is very useful if your spreadsheet only has one worksheet.

  Returns:
    the first worksheet
  Throws:
    `java.io.IOException`
    `ServiceException`

### getKey

    public java.lang.String getKey()

  Gets the non-user-friendly key that is used to access the spreadsheet. This is the key that can be used to open the spreadsheet in a Web browser, such as, http://spreadsheets.google.com/ccc?key={key}.

  Returns:
    the Google Spreadsheets key, in "o10110101.1010101" format

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares extensions (although Spreadsheet Kind currently has none).

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`